#ifndef TIMERS_H
#define TIMERS_H

//
//  times.h
//
//  Copyright (c) 2017 Michael Heras
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1307,
//  USA.
//

#define DEFAULT_TIME 5*60

void go_timer();
void start_atimer();
void color_cycleimages_timer();
void sleepy_time();
void set_default_time();
void over_drive();
int set_random_range(float min, float max);
void set_initial_image();
int set_over_drive_randoms(int n );
void set_timer_colors(void);
void set_initial_image_mode();

#endif
